Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1293151

Summary: Reading OpenGL capabilities via OpenJDK applet from Firefox kills Wayland
Product: [Fedora] Fedora Reporter: M_M <mikhail.rokhin>
Component: waylandAssignee: Adam Jackson <ajax>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 23CC: ajax, fedora, mclasen, ofourdan, samuel-rhbugs
Target Milestone: ---Flags: mclasen: needinfo?
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-12-20 17:14:01 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1277927    

Description M_M 2015-12-20 19:54:09 UTC
Description of problem:

Surely, access (reading) to video card capabilities  via http://openglreport.sourceforge.net/ open in Firefox (OpenJDK) kills Wayland.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Login with Wayland
2. Open http://openglreport.sourceforge.net/ in Firefox (and others may be?)
3. Allow applet to be run, if it hasn't failed

Actual results:


Expected results:


Additional info:
BUT)) http://get.webgl.org/ rotates cube fine and http://webglreport.com/?v=1 outputs fine in Firefox... Magic!

Comment 1 M_M 2015-12-20 19:55:22 UTC
Version-Release number of selected component (if applicable):

Latest

Comment 2 M_M 2015-12-23 16:09:21 UTC
VLC kills wayland either, when XCB (X11, OpenGL, XVideo) chosen as video output .

Comment 3 Christian Stadelmann 2016-03-21 10:49:58 UTC
(In reply to M_M from comment #2)
> VLC kills wayland either, when XCB (X11, OpenGL, XVideo) chosen as video
> output .

See bug #1278159 for that.

Java applets will be gone in Java 9 [1] which will be released in circa one year [2]. NPAPI plugin support in browsers is fading anyway. There probably is no use to fixing java applets at all.

Gnome-shell probably should not crash because of this misbehavior though. Just in case you can reproduce, can you please report an issue with ABRT and provide some backtraces?

[1] https://blogs.oracle.com/java-platform-group/entry/moving_to_a_plugin_free
[2] http://openjdk.java.net/projects/jdk9/

Comment 4 Olivier Fourdan 2016-09-01 07:30:40 UTC
I cannot reproduce on F25 (mutter 3.21.90 and xorg-x11-server-Xwayland 1.18.4-4) using the steps in comment 0

Comment 5 Matthias Clasen 2016-09-01 11:07:04 UTC
Is anybody else still reproducing this with f25 ?

Comment 6 Fedora End Of Life 2016-11-24 14:24:12 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2016-12-20 17:14:01 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.